Subject: [PATCH 0/3] some quilt things

From: Morgan Smith <[email-masked]>
Date: Wed, 26 Feb 2025 12:17:20 -0500

While updating emacs I was perplexed as to how to create the patchfiles
located in 'gnu/packages/patches'.  I saw no mention of how to do so in the
manual so I just added git diffs (which did work but the reviewer was not
pleased).  I have since been informed I should have used quilt.

Morgan Smith (3):
  doc: Mention that patch files should be generated with quilt.
  gnu: quilt: Don't install emacs package.
  gnu: Add emacs-quilt.

 doc/guix.texi               |  7 +++++--
 gnu/packages/patchutils.scm | 20 ++++++++++++++++++++
 2 files changed, 25 insertions(+), 2 deletions(-)

base-commit: 61428ccf41f21f5ea1e4f1eec722ef9b1efc3a0e
-- 
2.48.1